package se.urmo.game.graphics;

import java.util.EnumMap;
import java.util.Map;

public class SpriteSheetManager {
    private static final Map<SpriteLocation, SpriteSheet> spriteSheets = new EnumMap<>(SpriteLocation.class);

    public static SpriteSheet get(SpriteLocation location) {
        return spriteSheets.computeIfAbsent(location, SpriteSheet::new);
    }
}


